> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Contact Tag

> API to remove contact-tags from individual contacts

When you send a request, the API first checks if the contact already exists in your database.
If the contact is found, the API will check if the tags you provided are valid. You can give both tag names or tag ids.

The API allows you to  remove contact-tags. You can do this in two ways:
- By Contact ID: You can add the **contact ID** from your panel to remove tags.
- By Email: Alternatively, you can use the **email ID** of the contact whose tag you want to update.



## OpenAPI

````yaml /openapi-v1.json post /contact/tag/remove
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /contact/tag/remove:
    post:
      tags:
        - Contacts
      summary: Remove Contact Tag
      description: >-
        API to remove contact-tags from individual contacts


        When you send a request, the API first checks if the contact already
        exists in your database.

        If the contact is found, the API will check if the tags you provided are
        valid. You can give both tag names or tag ids.


        The API allows you to  remove contact-tags. You can do this in two ways:

        - By Contact ID: You can add the **contact ID** from your panel to
        remove tags.

        - By Email: Alternatively, you can use the **email ID** of the contact
        whose tag you want to update.
      operationId: remove-contact-tag
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                tag_ids:
                  type: array
                  items:
                    type: string
                tag_names:
                  type: array
                  items:
                    type: string
              x-examples:
                Example 1:
                  tag_ids:
                    - ccj
                    - ddg
                  tag_names:
                    - my tag
                    - new tag
            examples:
              Example-1:
                value:
                  id: example@example.com
                  tag_ids:
                    - ccj
                    - ddg
                  tag_names:
                    - my tag
                    - new tag
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                x-examples:
                  Example 1:
                    message: Contact tag removed successfully
              examples:
                Example-1:
                  value:
                    message: Contact tag removed successfully
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                x-examples:
                  Example 1:
                    error: provide tag does not exists
              examples:
                Example-1:
                  value:
                    error: Contact Id is a required field
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````